include::../rule.adoc[]

For example, with the default provided regular expression: ``++^[a-z][a-zA-Z0-9]*$++``, the function:

[source,cpp]
----
void DoSomething(); // Noncompliant
----

should be renamed to

[source,cpp]
----
void doSomething();
----

=== Exceptions

The rule ignores the names of:

* Overriding methods
* Template specializations
* When an interface expects a specific name (e.g., `begin` or `end` for range-based loops, `get<N>` for structural binding, etc.)
* Coroutines (S6193 covers them)

== Resources

=== Related rules

* S6193 - Coroutine names should comply with a naming convention

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.format
****
_STRING_

----
^[a-z][a-zA-Z0-9]*$
----

Regular expression used to check the function names against
****


'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
